using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_83
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();           
        }

        private void clubsGrid_AutoGeneratingColumn(object sender, GridViewAutoGeneratingColumnEventArgs e)
        {
            if (e.Column.UniqueName == "StadiumCapacity")
            {
                e.Column.CellTemplateSelector = new CustomTemplateSelector() 
                {
                    SmallStadiumTemplate = this.Resources["SmallStadiumTemplate"] as DataTemplate,
                    LargeStadiumTemplate = this.Resources["LargeStadiumTemplate"] as DataTemplate
                };
            }
        }
    }

    public class CustomTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if ((item as Club).StadiumCapacity > 50000)
            {
                return LargeStadiumTemplate;
            }
            else
            {
                return SmallStadiumTemplate;
            }
        }

        public DataTemplate SmallStadiumTemplate { get; set; }
        public DataTemplate LargeStadiumTemplate { get; set; }
    }
}
